#include "project.h"
#include "stdio.h"

char str[128] ; /* print buffer */
void print(char *str)
{
    UART_PutString(str) ;
}

void splash(void)
{
    sprintf(str, "SR FF Test (%s %s)\n", __DATE__, __TIME__) ;
    print(str) ;
}

void init_hardware(void)
{
    CLR_REG_Write(1) ; /* reset connected register */
    Control_Reg_Write(0) ;
    CLR_REG_Write(0) ; /* release reset to the register */
    UART_Start() ;
    CyGlobalIntEnable; /* Enable global interrupts. */    
}

int main(void)
{
    uint8_t value = 0 ;
    uint8_t control = 0 ;
    
    init_hardware() ;
    
    splash() ;

    value = Status_Reg_Read() ;
    sprintf(str, "Initial Value of SR FF = %d\n", value) ;
    print(str) ;

    for(;;)
    {
        Control_Reg_Write(control) ;
        CyDelayUs(1) ;
        value = Status_Reg_Read() ;
        sprintf(str, "R = %d, S = %d, Value = %d\n", 
            (control >> 1) & 0x01,
            control & 0x01,
            value) ;
        print(str) ;
        control = (control + 1) % 4 ;
        CyDelay(1000) ;
    }
}

/* [] END OF FILE */
